Subject: Re: Linux kernel 3.x problems on PowerMac G5

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 04 Mar 2013 06:03:49 +1100

On Sun, 2013-03-03 at 05:16 -0700, Phileas Fogg wrote:
> i'm testing currently with slightly modified g5_defconfig. I enabled
> the Ralink driver for my USB WLAN NIC and some other stuff, nothing 
> fancy. Anyways, i'm sending you config for 3.0.67. Linux 3.0.67 hangs on 
> my machine too.
> 
> I cloned your GIT powerpc repository and at the moment bisecting and
> trying to find the commit which causes trouble on my machine.
> 
> I have already found out that
> the commit 27d934b28752b860cba6c0d77ea4598861d80998 is OK
> but
> the commit 0bd41dfc9fbbcf174d5336c1c9fc5ba917519761 is NOT.
> The problem appeared between Linux 2.6.39 and Linux-3.0-rc1.
> 
> Just my typical luck with PowerPC :) First PS3 and now G5.
> 
> I will report back as soon as i find the commit which causes the hangs.

Thanks. It looks like a bisection might indeed be the way to go... 

Out of curiosity, have you tried without some of your additional drivers ?
Maybe one of them is the culprit...

Cheers,
Ben.